--Combine QCEW Quarters
--This script expects each quarter's QCEW file to already exist in tables called Emp_2016_Q1, Emp_2016_Q2, Emp_2016_Q3, and Emp_2016_Q4. Update the years to match the year of the data you have.
--Script outputs to a new table called Emp_2016. Update the year to match the year of the data you have. You can run a find-and-replace on this file.

use [MSU]

EXEC sp_rename 'dbo.Emp_2017_Q1.Quarter', 'QTR', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[UI Account Number]', 'UI_ACCT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[Report Unit Number]', 'RPT_UNIT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[LEGAL NAME]', 'LEGAL_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[TRADE NAME]', 'TRADE_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[UI TAX ADDRESS LINE 1]', 'UI_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[UI TAX ADDRESS LINE 2]', 'UI_ADDRESS_2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[UI CITY ADDRESS]', 'UI_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[STATE]', 'UI_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[ZIP]', 'UI_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[PHYSICAL LOC ADDRESS LINE 1]', 'MLOT_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[PHYSICAL LOC ADDRESS LINE 2]', 'MLOT_ADDRESS2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[PLA CITY]', 'MLOT_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[STATE1]', 'MLOT_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[ZIP1]', 'MLOT_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[ADDRESS TYPE]', 'ADDR_TYPE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[REPORT UNIT DESCRIPTION]', 'RPT_UNIT_DESC', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[OWN]', 'OWN_1', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[M4_EMPL]', 'M1_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[M5_EMPL]', 'M2_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[M6_EMPL]', 'M3_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q1.[WAGES]', 'TOTAL_WAGE', 'COLUMN';


EXEC sp_rename 'dbo.Emp_2017_Q2.Quarter', 'QTR', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[UI Account Number]', 'UI_ACCT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[Report Unit Number]', 'RPT_UNIT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[LEGAL NAME]', 'LEGAL_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[TRADE NAME]', 'TRADE_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[UI TAX ADDRESS LINE 1]', 'UI_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[UI TAX ADDRESS LINE 2]', 'UI_ADDRESS_2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[UI CITY ADDRESS]', 'UI_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[STATE]', 'UI_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[ZIP]', 'UI_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[PHYSICAL LOC ADDRESS LINE 1]', 'MLOT_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[PHYSICAL LOC ADDRESS LINE 2]', 'MLOT_ADDRESS2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[PLA CITY]', 'MLOT_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[STATE1]', 'MLOT_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[ZIP1]', 'MLOT_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[ADDRESS TYPE]', 'ADDR_TYPE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[REPORT UNIT DESCRIPTION]', 'RPT_UNIT_DESC', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[OWN]', 'OWN_1', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[APR EMP]', 'M4_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[MAY EMP]', 'M5_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[JUN EMP]', 'M6_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q2.[WAGES]', 'TOTAL_WAGE', 'COLUMN';



EXEC sp_rename 'dbo.Emp_2017_Q3.Quarter', 'QTR', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[UI Account Number]', 'UI_ACCT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[Report Unit Number]', 'RPT_UNIT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[LEGAL NAME]', 'LEGAL_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[TRADE NAME]', 'TRADE_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[UI TAX ADDRESS LINE 1]', 'UI_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[UI TAX ADDRESS LINE 2]', 'UI_ADDRESS_2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[UI CITY ADDRESS]', 'UI_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[STATE]', 'UI_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[ZIP]', 'UI_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[PHYSICAL LOC ADDRESS LINE 1]', 'MLOT_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[PHYSICAL LOC ADDRESS LINE 2]', 'MLOT_ADDRESS2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[PLA CITY]', 'MLOT_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[STATE1]', 'MLOT_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[ZIP1]', 'MLOT_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[ADDRESS TYPE]', 'ADDR_TYPE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[REPORT UNIT DESCRIPTION]', 'RPT_UNIT_DESC', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[OWN]', 'OWN_1', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[APR EMP]', 'M4_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[MAY EMP]', 'M5_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[JUN EMP]', 'M6_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q3.[WAGES]', 'TOTAL_WAGE', 'COLUMN';


EXEC sp_rename 'dbo.Emp_2017_Q4.Quarter', 'QTR', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[UI Account Number]', 'UI_ACCT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[Report Unit Number]', 'RPT_UNIT', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[LEGAL NAME]', 'LEGAL_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[TRADE NAME]', 'TRADE_NAME', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[UI TAX ADDRESS LINE 1]', 'UI_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[UI TAX ADDRESS LINE 2]', 'UI_ADDRESS_2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[UI CITY ADDRESS]', 'UI_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[STATE]', 'UI_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[ZIP]', 'UI_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[PHYSICAL LOC ADDRESS LINE 1]', 'MLOT_ADDRESS', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[PHYSICAL LOC ADDRESS LINE 2]', 'MLOT_ADDRESS2', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[PLA CITY]', 'MLOT_CITY', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[STATE1]', 'MLOT_STATE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[ZIP1]', 'MLOT_ZIP_5', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[ADDRESS TYPE]', 'ADDR_TYPE', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[REPORT UNIT DESCRIPTION]', 'RPT_UNIT_DESC', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[OWN]', 'OWN_1', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[APR EMP]', 'M4_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[MAY EMP]', 'M5_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[JUN EMP]', 'M6_EMPL', 'COLUMN';
EXEC sp_rename 'dbo.Emp_2017_Q4.[WAGES]', 'TOTAL_WAGE', 'COLUMN';

select *, NULL as M4_EMPL, NUll as M5_EMPL, NUll as M6_EMPL, NUll as M7_EMPL, NUll as M8_EMPL, NUll as M9_EMPL, NULL as M10_EMPL, NUll as M11_EMPL, NUll as M12_EMPL
into Emp_2017
from Emp_2017_Q1;


BEGIN TRAN
	MERGE emp_2017 AS qcew
	USING emp_2017_q2 AS q2
	ON (q2.rpt_unit = qcew.rpt_unit AND q2.ui_acct = qcew.ui_acct)
	WHEN NOT MATCHED BY TARGET
		THEN INSERT(YEAR, QTR, UI_ACCT, RPT_UNIT, EIN, LEGAL_NAME, TRADE_NAME, UI_ADDRESS, UI_ADDRESS_2, UI_CITY, UI_STATE, UI_ZIP_5, MLOT_ADDRESS, MLOT_ADDRESS2, MLOT_CITY, MLOT_STATE, MLOT_ZIP_5, ADDR_TYPE, OWN_1, NAICS, TOTAL_WAGE, RPT_UNIT_DESC, MEEI, M4_EMPL, M5_EMPL, M6_EMPL)
		VALUES(q2.YEAR, q2.qtr, q2.ui_acct, q2.rpt_unit, q2.ein, q2.legal_name, q2.trade_name, q2.ui_address, q2.ui_address_2, q2.ui_city, q2.ui_state, q2.ui_zip_5, q2.mlot_address, q2.mlot_address2, q2.mlot_city, q2.mlot_state, q2.mlot_zip_5, q2.addr_type,  q2.own_1, q2.naics, q2.total_wage,  q2.rpt_unit_desc, q2.meei, q2.m4_empl, q2.m5_empl, q2.m6_empl)
	WHEN MATCHED
		THEN UPDATE SET qcew.M4_EMPL = q2.M4_EMPL, qcew.M5_EMPL = q2.M5_EMPL, qcew.M6_EMPL = q2.M6_EMPL
	OUTPUT $action;
COMMIT TRAN;

BEGIN TRAN
	MERGE emp_2017 AS qcew
	USING emp_2017_q3 AS q2
	ON (q2.rpt_unit = qcew.rpt_unit AND q2.ui_acct = qcew.ui_acct)
	WHEN NOT MATCHED BY TARGET
		THEN INSERT(YEAR, QTR, UI_ACCT, RPT_UNIT, EIN, LEGAL_NAME, TRADE_NAME, UI_ADDRESS, UI_ADDRESS_2, UI_CITY, UI_STATE, UI_ZIP_5, MLOT_ADDRESS, MLOT_ADDRESS2, MLOT_CITY, MLOT_STATE, MLOT_ZIP_5, ADDR_TYPE, OWN_1, NAICS, TOTAL_WAGE, RPT_UNIT_DESC, MEEI, M7_EMPL, M8_EMPL, M9_EMPL)
		VALUES(q2.YEAR, q2.qtr, q2.ui_acct, q2.rpt_unit, q2.ein, q2.legal_name, q2.trade_name, q2.ui_address, q2.ui_address_2, q2.ui_city, q2.ui_state, q2.ui_zip_5, q2.mlot_address, q2.mlot_address2, q2.mlot_city, q2.mlot_state, q2.mlot_zip_5, q2.addr_type,  q2.own_1, q2.naics, q2.total_wage,  q2.rpt_unit_desc, q2.meei, q2.m4_empl, q2.m5_empl, q2.m6_empl)
	WHEN MATCHED
		THEN UPDATE SET qcew.M7_EMPL = q2.M4_EMPL, qcew.M8_EMPL = q2.M5_EMPL, qcew.M9_EMPL = q2.M6_EMPL
	OUTPUT $action;
COMMIT TRAN;

BEGIN TRAN
	MERGE emp_2017 AS qcew
	USING emp_2017_q4 AS q2
	ON (q2.rpt_unit = qcew.rpt_unit AND q2.ui_acct = qcew.ui_acct)
	WHEN NOT MATCHED BY TARGET
		THEN INSERT(YEAR, QTR, UI_ACCT, RPT_UNIT, EIN, LEGAL_NAME, TRADE_NAME, UI_ADDRESS, UI_ADDRESS_2, UI_CITY, UI_STATE, UI_ZIP_5, MLOT_ADDRESS, MLOT_ADDRESS2, MLOT_CITY, MLOT_STATE, MLOT_ZIP_5, ADDR_TYPE, OWN_1, NAICS, TOTAL_WAGE, RPT_UNIT_DESC, MEEI, M7_EMPL, M8_EMPL, M9_EMPL)
		VALUES(q2.YEAR, q2.qtr, q2.ui_acct, q2.rpt_unit, q2.ein, q2.legal_name, q2.trade_name, q2.ui_address, q2.ui_address_2, q2.ui_city, q2.ui_state, q2.ui_zip_5, q2.mlot_address, q2.mlot_address2, q2.mlot_city, q2.mlot_state, q2.mlot_zip_5, q2.addr_type,  q2.own_1, q2.naics, q2.total_wage,  q2.rpt_unit_desc, q2.meei, q2.m4_empl, q2.m5_empl, q2.m6_empl)
	WHEN MATCHED
		THEN UPDATE SET qcew.M10_EMPL = q2.M4_EMPL, qcew.M11_EMPL = q2.M5_EMPL, qcew.M12_EMPL = q2.M6_EMPL
	OUTPUT $action;
COMMIT TRAN;

EXEC sp_rename 'dbo.Emp_2017.[FIPS]', 'CNTY', 'COLUMN';
