-- CombineQCEW.sql
-- Script expects the data the Combine QCEW Quarters script to have been run on all years of data. Adding a new year of data requires a new INSERT INTO statement to be added to this script.
-- Script outputs to Emp_All_Years table.
use [MSU]

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE Table_Name='Emp_All_Years')
BEGIN
	DROP TABLE Emp_All_Years;
END

SELECT YEAR, QTR, UI_ACCT, RPT_UNIT, EIN, LEGAL_NAME, TRADE_NAME, UI_ADDRESS, UI_ADDRESS_2, UI_CITY, UI_STATE, UI_ZIP_5,
	   MLOT_ADDRESS, MLOT_ADDRESS2, MLOT_CITY, MLOT_STATE, MLOT_ZIP_5, ADDR_TYPE, CNTY, OWN_1, NAICS, M1_EMPL, M2_EMPL,
	   M3_EMPL, M4_EMPL, M5_EMPL, M6_EMPL, M7_EMPL, M8_EMPL, M9_EMPL, M10_EMPL, M11_EMPL, M12_EMPL, TOTAL_WAGE,
	   [NUMBER_OF_YEARS_IN_BUSINESS] as NUMBER_OF_YEARS_IN_BUSINESS, SETUP_MON, SETUP_DAY, SETUP_YEAR, LIAB_MON
	   LIAB_DAY, LIAB_YEAR, EOL_MON, EOL_DAY, EOL_YEAR, REACT_MON, REACT_DAY, REACT_YEAR, RPT_UNIT_DESC, MEEI INTO Emp_All_Years
FROM Emp_2016;

INSERT INTO Emp_All_Years
SELECT YEAR, QTR, UI_ACCT, RPT_UNIT, EIN, LEGAL_NAME, TRADE_NAME, UI_ADDRESS, UI_ADDRESS_2, UI_CITY, UI_STATE, UI_ZIP_5,
	   MLOT_ADDRESS, MLOT_ADDRESS2, MLOT_CITY, MLOT_STATE, MLOT_ZIP_5, ADDR_TYPE, CNTY, OWN_1, NAICS, M1_EMPL, M2_EMPL,
	   M3_EMPL, M4_EMPL, M5_EMPL, M6_EMPL, M7_EMPL, M8_EMPL, M9_EMPL, M10_EMPL, M11_EMPL, M12_EMPL, TOTAL_WAGE,
	   [Number  of Years in Business] as NUMBER_OF_YEARS_IN_BUSINESS, SETUP_MON, SETUP_DAY, SETUP_YEAR, LIAB_MON
	   LIAB_DAY, LIAB_YEAR, EOL_MON, EOL_DAY, EOL_YEAR, REACT_MON, REACT_DAY, REACT_YEAR, RPT_UNIT_DESC, MEEI FROM Emp_2015;

INSERT INTO Emp_All_Years
SELECT YEAR, QTR, UI_ACCT, RPT_UNIT, EIN, LEGAL_NAME, TRADE_NAME, UI_ADDRESS, UI_ADDRESS_2, UI_CITY, UI_STATE, UI_ZIP_5,
	   MLOT_ADDRESS, MLOT_ADDRESS2, MLOT_CITY, MLOT_STATE, MLOT_ZIP_5, ADDR_TYPE, CNTY, OWN_1, NAICS, M1_EMPL, M2_EMPL,
	   M3_EMPL, M4_EMPL, M5_EMPL, M6_EMPL, M7_EMPL, M8_EMPL, M9_EMPL, M10_EMPL, M11_EMPL, M12_EMPL, TOTAL_WAGE,
	   [Number  of Years in Business], SETUP_MON, SETUP_DAY, SETUP_YEAR, LIAB_MON
	   LIAB_DAY, LIAB_YEAR, EOL_MON, EOL_DAY, EOL_YEAR, REACT_MON, REACT_DAY, REACT_YEAR, RPT_UNIT_DESC, MEEI FROM Emp_2014;