--Script outputs a MiTracking file. Set output to CSV, and remove the (X rows affected) statements from the results.
--The script outputs extra rows with 1 and 2 digit naics codes, where we don't have anything more than that in the data. MiTracking will ignore these rows when they import the file, so it's safe to leave them in the output.

SELECT GeographicArea, Year, Naics, InjuryType, CompanySize,
CASE 
	WHEN SUM(Cases) < 6 AND SUM(Cases) > 0 THEN '' 
	ELSE FORMAT(SUM(Cases), '0') 
END as Cases INTO #NaicsCount
FROM 
(
	SELECT '26' as GeographicArea, '2014-2016' as Year, left(Naics, 3) as Naics, '01' as InjuryType, count(*) as Cases, '01' as CompanySize
	FROM match_all
	GROUP BY left(Naics, 3)
	--ORDER BY Naics, InjuryType;

	UNION

	SELECT '26' as GeographicArea, '2014-2016' as Year, left(Naics, 3) as Naics, 
		CASE
			WHEN [Injury Desc] IN('AMPUTATION') THEN '02'
			WHEN [Injury Desc] IN('CUT/LACERATION', 'ABRASION/SCRATCH', 'BITES-ANIMAL/HUMAN') THEN '03'
			WHEN [Injury Desc] IN('CRUSH/CONTUSION') THEN '04'
			WHEN [Injury Desc] IN('DISLOCATION', 'FRACTURE', 'HERNIA', 'INFLAMM JOINTS', 'INFLAM-JOINTS') THEN '05'
			WHEN [Injury Desc] IN('SPRAINS/STRAINS', 'NERVOUS SYSTEM', 'CNTRL NERV SYS', 'CARPAL TUNNEL', 'STRAINS/SPRAINS', 'NERVES') THEN '06'
			WHEN [Injury Desc] IN('BURN-HEAT', 'BURN-CHEMICAL', 'ELECTRIC SHOCK', 'BURN (HEAT)', 'BURN (CHEM)') THEN '11'
			WHEN [Injury Desc] IN('CONCUSSION') THEN '12'
			WHEN [Injury Desc] IN('SUFFOCATION', 'PARASITIC DISEASE', 'DYSENTERY', 'ANTHRAX', 'BRUCELLOSIS', 'CONJUNCTIVITIS', 'TETANUS', 'TUBERCULOSIS', 'INFECT DISEASE', 'DERMATITIS UNS', 'SKIN INFECTIONS', 'SKIN CONDITIONS', 'DERMATITIS ALLERG', 'SKIN COND NEC',
								  'FREEZING', 'HEARING LOSS', 'HEATSTROKE', 'POISONING', 'TOXIC MATERIAL', 'BLOOD DISEASE', 'UPPER RESPIR-TOXIC', 'RESPIRATORY, TOXIC', 'HEPATITIS, TOXIC', 'GASTROINTESTINAL', 'TOXIC POISONING', 'PNEUMOCONIOSIS', 'ALUMINOSIS',
								  'ANTHRACOSIS', 'ASBESTOSIS', 'BYSSINOSIS', 'SIDEROSIS', 'SILICOSIS', 'LUNG DISEASE', 'TB/PNEUMOCONIOSIS', 'RADIATION EFFECTS', 'SUNBURN', 'MICROWAVE', 'X-RAY', 'ISOTOPES', 'WELDERS'' FLASH', 'HEMORRHOIDS', 'HEPATITIS',
								  'EQUILIBRIUM', 'CEREBROVASCULAR', 'EYE DISEASES', 'STRESS', 'TUMOR/UNSPECIFIED', 'CANCER', 'BENIGN TUMOR', 'RESP SYS UNS', 'UPPER RESP', 'PNEUMONIA/FLU', 'RHINITIS', 'INSANITY/IMBECILITY', 'PARALYSIS', 'PROSTHETIC DAMAGE',
								  'OCCUP DISEASE', 'HEART ATTACK', 'DERMTITS ALLRG', 'WELDERS FLASH') THEN '13'
			ELSE '14'
		END AS InjuryType,
		count(*) as Cases, '01' as CompanySize
	FROM match_all
	GROUP BY left(Naics, 3),
		CASE
			WHEN [Injury Desc] IN('AMPUTATION') THEN '02'
			WHEN [Injury Desc] IN('CUT/LACERATION', 'ABRASION/SCRATCH', 'BITES-ANIMAL/HUMAN') THEN '03'
			WHEN [Injury Desc] IN('CRUSH/CONTUSION') THEN '04'
			WHEN [Injury Desc] IN('DISLOCATION', 'FRACTURE', 'HERNIA', 'INFLAMM JOINTS', 'INFLAM-JOINTS') THEN '05'
			WHEN [Injury Desc] IN('SPRAINS/STRAINS', 'NERVOUS SYSTEM', 'CNTRL NERV SYS', 'CARPAL TUNNEL', 'STRAINS/SPRAINS', 'NERVES') THEN '06'
			WHEN [Injury Desc] IN('BURN-HEAT', 'BURN-CHEMICAL', 'ELECTRIC SHOCK', 'BURN (HEAT)', 'BURN (CHEM)') THEN '11'
			WHEN [Injury Desc] IN('CONCUSSION') THEN '12'
			WHEN [Injury Desc] IN('SUFFOCATION', 'PARASITIC DISEASE', 'DYSENTERY', 'ANTHRAX', 'BRUCELLOSIS', 'CONJUNCTIVITIS', 'TETANUS', 'TUBERCULOSIS', 'INFECT DISEASE', 'DERMATITIS UNS', 'SKIN INFECTIONS', 'SKIN CONDITIONS', 'DERMATITIS ALLERG', 'SKIN COND NEC',
								  'FREEZING', 'HEARING LOSS', 'HEATSTROKE', 'POISONING', 'TOXIC MATERIAL', 'BLOOD DISEASE', 'UPPER RESPIR-TOXIC', 'RESPIRATORY, TOXIC', 'HEPATITIS, TOXIC', 'GASTROINTESTINAL', 'TOXIC POISONING', 'PNEUMOCONIOSIS', 'ALUMINOSIS',
								  'ANTHRACOSIS', 'ASBESTOSIS', 'BYSSINOSIS', 'SIDEROSIS', 'SILICOSIS', 'LUNG DISEASE', 'TB/PNEUMOCONIOSIS', 'RADIATION EFFECTS', 'SUNBURN', 'MICROWAVE', 'X-RAY', 'ISOTOPES', 'WELDERS'' FLASH', 'HEMORRHOIDS', 'HEPATITIS',
								  'EQUILIBRIUM', 'CEREBROVASCULAR', 'EYE DISEASES', 'STRESS', 'TUMOR/UNSPECIFIED', 'CANCER', 'BENIGN TUMOR', 'RESP SYS UNS', 'UPPER RESP', 'PNEUMONIA/FLU', 'RHINITIS', 'INSANITY/IMBECILITY', 'PARALYSIS', 'PROSTHETIC DAMAGE',
								  'OCCUP DISEASE', 'HEART ATTACK', 'DERMTITS ALLRG', 'WELDERS FLASH') THEN '13'
			ELSE '14'
		END
	--ORDER BY Naics, InjuryType

	UNION

	SELECT '26' as GeographicArea, '2014-2016' as Year, '000' as Naics, 
		CASE
			WHEN [Injury Desc] IN('AMPUTATION') THEN '02'
			WHEN [Injury Desc] IN('CUT/LACERATION', 'ABRASION/SCRATCH', 'BITES-ANIMAL/HUMAN') THEN '03'
			WHEN [Injury Desc] IN('CRUSH/CONTUSION') THEN '04'
			WHEN [Injury Desc] IN('DISLOCATION', 'FRACTURE', 'HERNIA', 'INFLAMM JOINTS', 'INFLAM-JOINTS') THEN '05'
			WHEN [Injury Desc] IN('SPRAINS/STRAINS', 'NERVOUS SYSTEM', 'CNTRL NERV SYS', 'CARPAL TUNNEL', 'STRAINS/SPRAINS', 'NERVES') THEN '06'
			WHEN [Injury Desc] IN('BURN-HEAT', 'BURN-CHEMICAL', 'ELECTRIC SHOCK', 'BURN (HEAT)', 'BURN (CHEM)') THEN '11'
			WHEN [Injury Desc] IN('CONCUSSION') THEN '12'
			WHEN [Injury Desc] IN('SUFFOCATION', 'PARASITIC DISEASE', 'DYSENTERY', 'ANTHRAX', 'BRUCELLOSIS', 'CONJUNCTIVITIS', 'TETANUS', 'TUBERCULOSIS', 'INFECT DISEASE', 'DERMATITIS UNS', 'SKIN INFECTIONS', 'SKIN CONDITIONS', 'DERMATITIS ALLERG', 'SKIN COND NEC',
								  'FREEZING', 'HEARING LOSS', 'HEATSTROKE', 'POISONING', 'TOXIC MATERIAL', 'BLOOD DISEASE', 'UPPER RESPIR-TOXIC', 'RESPIRATORY, TOXIC', 'HEPATITIS, TOXIC', 'GASTROINTESTINAL', 'TOXIC POISONING', 'PNEUMOCONIOSIS', 'ALUMINOSIS',
								  'ANTHRACOSIS', 'ASBESTOSIS', 'BYSSINOSIS', 'SIDEROSIS', 'SILICOSIS', 'LUNG DISEASE', 'TB/PNEUMOCONIOSIS', 'RADIATION EFFECTS', 'SUNBURN', 'MICROWAVE', 'X-RAY', 'ISOTOPES', 'WELDERS'' FLASH', 'HEMORRHOIDS', 'HEPATITIS',
								  'EQUILIBRIUM', 'CEREBROVASCULAR', 'EYE DISEASES', 'STRESS', 'TUMOR/UNSPECIFIED', 'CANCER', 'BENIGN TUMOR', 'RESP SYS UNS', 'UPPER RESP', 'PNEUMONIA/FLU', 'RHINITIS', 'INSANITY/IMBECILITY', 'PARALYSIS', 'PROSTHETIC DAMAGE',
								  'OCCUP DISEASE', 'HEART ATTACK', 'DERMTITS ALLRG', 'WELDERS FLASH') THEN '13'
			ELSE '14'
		END AS InjuryType,
		count(*) as Cases, '01' as CompanySize
	FROM match_all
	GROUP BY CASE
			WHEN [Injury Desc] IN('AMPUTATION') THEN '02'
			WHEN [Injury Desc] IN('CUT/LACERATION', 'ABRASION/SCRATCH', 'BITES-ANIMAL/HUMAN') THEN '03'
			WHEN [Injury Desc] IN('CRUSH/CONTUSION') THEN '04'
			WHEN [Injury Desc] IN('DISLOCATION', 'FRACTURE', 'HERNIA', 'INFLAMM JOINTS', 'INFLAM-JOINTS') THEN '05'
			WHEN [Injury Desc] IN('SPRAINS/STRAINS', 'NERVOUS SYSTEM', 'CNTRL NERV SYS', 'CARPAL TUNNEL', 'STRAINS/SPRAINS', 'NERVES') THEN '06'
			WHEN [Injury Desc] IN('BURN-HEAT', 'BURN-CHEMICAL', 'ELECTRIC SHOCK', 'BURN (HEAT)', 'BURN (CHEM)') THEN '11'
			WHEN [Injury Desc] IN('CONCUSSION') THEN '12'
			WHEN [Injury Desc] IN('SUFFOCATION', 'PARASITIC DISEASE', 'DYSENTERY', 'ANTHRAX', 'BRUCELLOSIS', 'CONJUNCTIVITIS', 'TETANUS', 'TUBERCULOSIS', 'INFECT DISEASE', 'DERMATITIS UNS', 'SKIN INFECTIONS', 'SKIN CONDITIONS', 'DERMATITIS ALLERG', 'SKIN COND NEC',
								  'FREEZING', 'HEARING LOSS', 'HEATSTROKE', 'POISONING', 'TOXIC MATERIAL', 'BLOOD DISEASE', 'UPPER RESPIR-TOXIC', 'RESPIRATORY, TOXIC', 'HEPATITIS, TOXIC', 'GASTROINTESTINAL', 'TOXIC POISONING', 'PNEUMOCONIOSIS', 'ALUMINOSIS',
								  'ANTHRACOSIS', 'ASBESTOSIS', 'BYSSINOSIS', 'SIDEROSIS', 'SILICOSIS', 'LUNG DISEASE', 'TB/PNEUMOCONIOSIS', 'RADIATION EFFECTS', 'SUNBURN', 'MICROWAVE', 'X-RAY', 'ISOTOPES', 'WELDERS'' FLASH', 'HEMORRHOIDS', 'HEPATITIS',
								  'EQUILIBRIUM', 'CEREBROVASCULAR', 'EYE DISEASES', 'STRESS', 'TUMOR/UNSPECIFIED', 'CANCER', 'BENIGN TUMOR', 'RESP SYS UNS', 'UPPER RESP', 'PNEUMONIA/FLU', 'RHINITIS', 'INSANITY/IMBECILITY', 'PARALYSIS', 'PROSTHETIC DAMAGE',
								  'OCCUP DISEASE', 'HEART ATTACK', 'DERMTITS ALLRG', 'WELDERS FLASH') THEN '13'
			ELSE '14'
		END
	--ORDER BY Naics, InjuryType

	UNION

	SELECT '26' as GeographicArea, '2014-2016' as Year, '000' as Naics, '01' as InjuryType, count(*) as Cases, '01' as CompanySize
	FROM match_all

	UNION

	--Special handling for sprain injury locations
	SELECT '26' as GeographicArea, '2014-2016' as Year, '000' as Naics,
		CASE
			WHEN [Part of Body Desc] IN('BACK') THEN '07'
			WHEN [Part of Body Desc] IN('SHOULDER(S)') THEN '08'
			WHEN [Part of Body Desc] IN('KNEE') THEN '09'
			WHEN [Part of Body Desc] IN('FINGER', 'FOREARM', 'HAND/FINGER(S)', 'ELBOW', 'ARM(S), UNS', 'UPPER ARM', 'HAND(S)', 'WRIST', 'ARM, NEC', 'UPP EXT UNS', 'UPP EXT MULTIPLE', 'ARM MULTIPLE') THEN '10'
		END as InjuryType, count(*) as Cases, '01' as CompanySize
	FROM match_all
	WHERE [Injury Desc] IN ('SPRAINS/STRAINS', 'NERVOUS SYSTEM', 'CNTRL NERV SYS', 'CARPAL TUNNEL', 'STRAINS/SPRAINS', 'NERVES')
	AND [Part of Body Desc] IN('BACK', 'SHOULDER(S)', 'KNEE', 'FINGER', 'FOREARM', 'HAND/FINGER(S)', 'ELBOW', 'ARM(S), UNS', 'UPPER ARM', 'HAND(S)', 'WRIST', 'ARM, NEC', 'UPP EXT UNS', 'UPP EXT MULTIPLE', 'ARM MULTIPLE')
	GROUP BY
		CASE
			WHEN [Part of Body Desc] IN('BACK') THEN '07'
			WHEN [Part of Body Desc] IN('SHOULDER(S)') THEN '08'
			WHEN [Part of Body Desc] IN('KNEE') THEN '09'
			WHEN [Part of Body Desc] IN('FINGER', 'FOREARM', 'HAND/FINGER(S)', 'ELBOW', 'ARM(S), UNS', 'UPPER ARM', 'HAND(S)', 'WRIST', 'ARM, NEC', 'UPP EXT UNS', 'UPP EXT MULTIPLE', 'ARM MULTIPLE') THEN '10'
		END

	UNION 

	--Special handling for company size with industry
	SELECT GeographicArea, Year, Naics, InjuryType, Cases, CompanySize
	FROM (
		SELECT '26' as GeographicArea, '2014-2016' as Year, 
		CASE
			WHEN [Injury Desc] IN('AMPUTATION') THEN '02'
			WHEN [Injury Desc] IN('CUT/LACERATION', 'ABRASION/SCRATCH', 'BITES-ANIMAL/HUMAN') THEN '03'
			WHEN [Injury Desc] IN('CRUSH/CONTUSION') THEN '04'
			WHEN [Injury Desc] IN('DISLOCATION', 'FRACTURE', 'HERNIA', 'INFLAMM JOINTS', 'INFLAM-JOINTS') THEN '05'
			WHEN [Injury Desc] IN('SPRAINS/STRAINS', 'NERVOUS SYSTEM', 'CNTRL NERV SYS', 'CARPAL TUNNEL', 'STRAINS/SPRAINS', 'NERVES') THEN '06'
			WHEN [Injury Desc] IN('BURN-HEAT', 'BURN-CHEMICAL', 'ELECTRIC SHOCK', 'BURN (HEAT)', 'BURN (CHEM)') THEN '11'
			WHEN [Injury Desc] IN('CONCUSSION') THEN '12'
			WHEN [Injury Desc] IN('SUFFOCATION', 'PARASITIC DISEASE', 'DYSENTERY', 'ANTHRAX', 'BRUCELLOSIS', 'CONJUNCTIVITIS', 'TETANUS', 'TUBERCULOSIS', 'INFECT DISEASE', 'DERMATITIS UNS', 'SKIN INFECTIONS', 'SKIN CONDITIONS', 'DERMATITIS ALLERG', 'SKIN COND NEC',
								  'FREEZING', 'HEARING LOSS', 'HEATSTROKE', 'POISONING', 'TOXIC MATERIAL', 'BLOOD DISEASE', 'UPPER RESPIR-TOXIC', 'RESPIRATORY, TOXIC', 'HEPATITIS, TOXIC', 'GASTROINTESTINAL', 'TOXIC POISONING', 'PNEUMOCONIOSIS', 'ALUMINOSIS',
								  'ANTHRACOSIS', 'ASBESTOSIS', 'BYSSINOSIS', 'SIDEROSIS', 'SILICOSIS', 'LUNG DISEASE', 'TB/PNEUMOCONIOSIS', 'RADIATION EFFECTS', 'SUNBURN', 'MICROWAVE', 'X-RAY', 'ISOTOPES', 'WELDERS'' FLASH', 'HEMORRHOIDS', 'HEPATITIS',
								  'EQUILIBRIUM', 'CEREBROVASCULAR', 'EYE DISEASES', 'STRESS', 'TUMOR/UNSPECIFIED', 'CANCER', 'BENIGN TUMOR', 'RESP SYS UNS', 'UPPER RESP', 'PNEUMONIA/FLU', 'RHINITIS', 'INSANITY/IMBECILITY', 'PARALYSIS', 'PROSTHETIC DAMAGE',
								  'OCCUP DISEASE', 'HEART ATTACK', 'DERMTITS ALLRG', 'WELDERS FLASH') THEN '13'
			ELSE '14'
		END AS InjuryType, 
		1 as Gender, '000' as Naics, 1 as AgeGroup, count(*) as Cases, 
		CASE
			WHEN employees > 0 AND employees <= 10 THEN '02'
			WHEN employees > 10 AND employees < 250 THEN '03'
			WHEN employees >= 250 THEN '04'
			ELSE '05'
		END AS CompanySize
		FROM Match_All m
		INNER JOIN (
			SELECT 
				(SUM(COALESCE(M1_EMPL, 0)) + SUM(COALESCE(M2_EMPL, 0)) + SUM(COALESCE(M3_EMPL, 0)) + SUM(COALESCE(M4_EMPL, 0)) + SUM(COALESCE(M5_EMPL, 0)) + SUM(COALESCE(M6_EMPL, 0)) + SUM(COALESCE(M7_EMPL, 0)) + SUM(COALESCE(M8_EMPL, 0)) + SUM(COALESCE(M9_EMPL, 0)) + SUM(COALESCE(M10_EMPL, 0)) + SUM(COALESCE(M11_EMPL, 0)) + SUM(COALESCE(M12_EMPL, 0))) / 12.0 as employees,
				ui_acct
			FROM Emp_All_Years
			GROUP BY ui_acct
			) as emp ON m.ui_acct = emp.ui_acct
		GROUP BY 
		CASE
			WHEN [Injury Desc] IN('AMPUTATION') THEN '02'
			WHEN [Injury Desc] IN('CUT/LACERATION', 'ABRASION/SCRATCH', 'BITES-ANIMAL/HUMAN') THEN '03'
			WHEN [Injury Desc] IN('CRUSH/CONTUSION') THEN '04'
			WHEN [Injury Desc] IN('DISLOCATION', 'FRACTURE', 'HERNIA', 'INFLAMM JOINTS', 'INFLAM-JOINTS') THEN '05'
			WHEN [Injury Desc] IN('SPRAINS/STRAINS', 'NERVOUS SYSTEM', 'CNTRL NERV SYS', 'CARPAL TUNNEL', 'STRAINS/SPRAINS', 'NERVES') THEN '06'
			WHEN [Injury Desc] IN('BURN-HEAT', 'BURN-CHEMICAL', 'ELECTRIC SHOCK', 'BURN (HEAT)', 'BURN (CHEM)') THEN '11'
			WHEN [Injury Desc] IN('CONCUSSION') THEN '12'
			WHEN [Injury Desc] IN('SUFFOCATION', 'PARASITIC DISEASE', 'DYSENTERY', 'ANTHRAX', 'BRUCELLOSIS', 'CONJUNCTIVITIS', 'TETANUS', 'TUBERCULOSIS', 'INFECT DISEASE', 'DERMATITIS UNS', 'SKIN INFECTIONS', 'SKIN CONDITIONS', 'DERMATITIS ALLERG', 'SKIN COND NEC',
								  'FREEZING', 'HEARING LOSS', 'HEATSTROKE', 'POISONING', 'TOXIC MATERIAL', 'BLOOD DISEASE', 'UPPER RESPIR-TOXIC', 'RESPIRATORY, TOXIC', 'HEPATITIS, TOXIC', 'GASTROINTESTINAL', 'TOXIC POISONING', 'PNEUMOCONIOSIS', 'ALUMINOSIS',
								  'ANTHRACOSIS', 'ASBESTOSIS', 'BYSSINOSIS', 'SIDEROSIS', 'SILICOSIS', 'LUNG DISEASE', 'TB/PNEUMOCONIOSIS', 'RADIATION EFFECTS', 'SUNBURN', 'MICROWAVE', 'X-RAY', 'ISOTOPES', 'WELDERS'' FLASH', 'HEMORRHOIDS', 'HEPATITIS',
								  'EQUILIBRIUM', 'CEREBROVASCULAR', 'EYE DISEASES', 'STRESS', 'TUMOR/UNSPECIFIED', 'CANCER', 'BENIGN TUMOR', 'RESP SYS UNS', 'UPPER RESP', 'PNEUMONIA/FLU', 'RHINITIS', 'INSANITY/IMBECILITY', 'PARALYSIS', 'PROSTHETIC DAMAGE',
								  'OCCUP DISEASE', 'HEART ATTACK', 'DERMTITS ALLRG', 'WELDERS FLASH') THEN '13'
			ELSE '14'
		END, 
		CASE
			WHEN employees > 0 AND employees <= 10 THEN '02'
			WHEN employees > 10 AND employees < 250 THEN '03'
			WHEN employees >= 250 THEN '04'
			ELSE '05'
		END

		UNION

		SELECT '26' as GeographicArea, '2014-2016' as Year, '01' as InjuryType, 1 as Gender, '000' as Naics, 1 as AgeGroup, count(*) as Cases, 
		CASE
			WHEN employees > 0 AND employees <= 10 THEN '02'
			WHEN employees > 10 AND employees < 250 THEN '03'
			WHEN employees >= 250 THEN '04'
			ELSE '05'
		END AS CompanySize
		FROM Match_All m
		INNER JOIN (
			SELECT 
				(SUM(COALESCE(M1_EMPL, 0)) + SUM(COALESCE(M2_EMPL, 0)) + SUM(COALESCE(M3_EMPL, 0)) + SUM(COALESCE(M4_EMPL, 0)) + SUM(COALESCE(M5_EMPL, 0)) + SUM(COALESCE(M6_EMPL, 0)) + SUM(COALESCE(M7_EMPL, 0)) + SUM(COALESCE(M8_EMPL, 0)) + SUM(COALESCE(M9_EMPL, 0)) + SUM(COALESCE(M10_EMPL, 0)) + SUM(COALESCE(M11_EMPL, 0)) + SUM(COALESCE(M12_EMPL, 0))) / 12.0 as employees,
				ui_acct
			FROM Emp_All_Years
			GROUP BY ui_acct
			) as emp ON m.ui_acct = emp.ui_acct
		GROUP BY 
		CASE
			WHEN employees > 0 AND employees <= 10 THEN '02'
			WHEN employees > 10 AND employees < 250 THEN '03'
			WHEN employees >= 250 THEN '04'
			ELSE '05'
		END
	) companySize

	UNION

	SELECT '26' as GeographicArea, '2014-2016' as Year, InjuryType, Naics, 0 as employees, CompanySize
	FROM Other_Filter_Naics

) as results
GROUP BY GeographicArea, Year, Naics, InjuryType, CompanySize;

UPDATE n
SET n.Cases = '' 
FROM #NaicsCount n
WHERE Naics IN (
	SELECT Naics FROM #NaicsCount 
	where Cases = ''
	group by Naics
	having count(*) = 1
	)
AND Cases = (
	SELECT min(Cases) FROM #NaicsCount nc
	WHERE n.Naics = nc.Naics
	AND Cases != ''
	)

UPDATE n
SET n.Cases = ''
FROM #NaicsCount n
WHERE Naics = 1
AND InjuryType IN (
	SELECT InjuryType FROM #NaicsCount
	WHERE Cases = ''
	AND Naics = 1
	group by InjuryType
	having count(*) = 1
	)
AND Cases = (
	SELECT min(Cases) FROM #NaicsCount nc
	where n.InjuryType = nc.InjuryType
	AND Naics = 1
	AND Cases != ''
	)

SELECT * FROM #NaicsCount
ORDER BY Naics, InjuryType;

DROP TABLE #NaicsCount;